모델 목록
GET
https://api.youvico.com/api/ai/models- MCP 도구
- 미지원
- 요청 제한
- Default
- API 권한
- ai:generate
파일 생성에 사용할 수 있는 출력 형식과 모델을 생성 모드별 설정 스키마와 함께 반환합니다.
예시에는 일부 모델만 표시합니다.
예시
curl 'https://api.youvico.com/api/ai/models' \
-H 'Authorization: Bearer YOUR_API_KEY'
{
"data": [
{
"outputType": "PDF",
"models": [
{
"id": "claude-opus-5-5",
"name": "Claude Opus 5.5",
"provider": "ANTHROPIC",
"configs": {
"ADVANCED": {
"x-maxAttachments": 20,
"x-maxPromptLength": 5000,
"type": "object",
"properties": {
"references": {
"type": "array",
"items": { "type": "string" },
"maxItems": 20,
"uniqueItems": true,
"x-mimeTypes": ["image/jpeg", "image/png", "image/webp", "image/avif", "image/gif", "application/pdf", "text/plain", "text/markdown", "text/csv"],
"x-maxSize": {
"image/gif": 5000000,
"image/": 50000000,
"application/pdf": 50000000,
"text/": 5000000
}
},
"effort": {
"type": "string",
"enum": ["low", "medium", "high", "xhigh", "max"],
"default": "medium"
}
},
"additionalProperties": false
}
}
}
]
},
{
"outputType": "IMAGE",
"models": [
{
"id": "gemini-3.1-flash-image",
"name": "Nano Banana 2",
"provider": "GOOGLE",
"configs": {
"AUTO": {
"x-maxAttachments": 5,
"x-maxPromptLength": 5000,
"type": "object",
"properties": {
"aspectRatio": {
"type": "string",
"enum": ["1:1", "1:4", "1:8", "2:3", "3:2", "3:4", "4:1", "4:3", "4:5", "5:4", "8:1", "9:16", "16:9", "21:9", "adaptive"],
"default": "16:9"
},
"resolution": {
"type": "string",
"enum": ["0.5k", "1k", "2k", "4k"],
"default": "2k"
},
"effort": {
"type": "string",
"enum": ["low", "high"],
"default": "low"
}
},
"additionalProperties": false
},
"ADVANCED": {
"x-maxAttachments": 10,
"x-maxPromptLength": 16000,
"type": "object",
"properties": {
"references": {
"type": "array",
"items": { "type": "string" },
"maxItems": 10,
"uniqueItems": true,
"x-mimeTypes": ["image/jpeg", "image/png", "image/webp"],
"x-maxSize": 50000000
},
"aspectRatio": {
"type": "string",
"enum": ["1:1", "1:4", "1:8", "2:3", "3:2", "3:4", "4:1", "4:3", "4:5", "5:4", "8:1", "9:16", "16:9", "21:9", "adaptive"],
"default": "16:9"
},
"resolution": {
"type": "string",
"enum": ["0.5k", "1k", "2k", "4k"],
"default": "2k"
},
"effort": {
"type": "string",
"enum": ["low", "high"],
"default": "low"
}
},
"additionalProperties": false
}
}
}
]
},
{
"outputType": "VIDEO",
"models": [
{
"id": "kling-3.0-turbo",
"name": "Kling 3.0 Turbo",
"provider": "KUAISHOU",
"configs": {
"AUTO": {
"x-maxAttachments": 5,
"x-maxPromptLength": 5000,
"type": "object",
"properties": {
"resolution": {
"type": "string",
"enum": ["720p", "1080p"],
"default": "720p"
},
"durationSeconds": {
"type": "integer",
"enum": [3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15],
"default": 5
},
"aspectRatio": {
"type": "string",
"enum": ["16:9", "9:16", "1:1"],
"default": "16:9"
}
},
"additionalProperties": false
},
"ADVANCED": {
"x-maxAttachments": 1,
"x-maxPromptLength": 2500,
"type": "object",
"properties": {
"resolution": {
"type": "string",
"enum": ["720p", "1080p"],
"default": "720p"
},
"durationSeconds": {
"type": "integer",
"enum": [3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15],
"default": 5
},
"aspectRatio": {
"type": "string",
"enum": ["16:9", "9:16", "1:1"],
"default": "16:9"
},
"start": {
"type": "string",
"x-mimeTypes": ["image/jpeg", "image/png", "image/webp"],
"x-maxSize": 10000000
},
"shots": {
"type": "array",
"minItems": 2,
"maxItems": 6,
"items": {
"type": "object",
"properties": {
"prompt": { "type": "string", "minLength": 1, "maxLength": 512 },
"seconds": { "type": "integer", "minimum": 1 }
},
"required": ["prompt", "seconds"],
"additionalProperties": false
}
}
},
"additionalProperties": false
}
}
}
]
}
]
}
요청
curl -X GET 'https://api.youvico.com/api/ai/models' \
-H 'Authorization: Bearer YOUR_API_KEY'
응답200 OK
{
"data": [
{
"outputType": "PDF",
"models": [
{
"id": "claude-opus-5-5",
"name": "Claude Opus 5.5",
"provider": "ANTHROPIC",
"configs": {
"ADVANCED": {
"x-maxAttachments": 20,
"x-maxPromptLength": 5000,
"type": "object",
"properties": {
"references": {
"type": "array",
"items": { "type": "string" },
"maxItems": 20,
"uniqueItems": true,
"x-mimeTypes": ["image/jpeg", "image/png", "image/webp", "image/avif", "image/gif", "application/pdf", "text/plain", "text/markdown", "text/csv"],
"x-maxSize": {
"image/gif": 5000000,
"image/": 50000000,
"application/pdf": 50000000,
"text/": 5000000
}
},
"effort": {
"type": "string",
"enum": ["low", "medium", "high", "xhigh", "max"],
"default": "medium"
}
},
"additionalProperties": false
}
}
}
]
},
{
"outputType": "IMAGE",
"models": [
{
"id": "gemini-3.1-flash-image",
"name": "Nano Banana 2",
"provider": "GOOGLE",
"configs": {
"AUTO": {
"x-maxAttachments": 5,
"x-maxPromptLength": 5000,
"type": "object",
"properties": {
"aspectRatio": {
"type": "string",
"enum": ["1:1", "1:4", "1:8", "2:3", "3:2", "3:4", "4:1", "4:3", "4:5", "5:4", "8:1", "9:16", "16:9", "21:9", "adaptive"],
"default": "16:9"
},
"resolution": {
"type": "string",
"enum": ["0.5k", "1k", "2k", "4k"],
"default": "2k"
},
"effort": {
"type": "string",
"enum": ["low", "high"],
"default": "low"
}
},
"additionalProperties": false
},
"ADVANCED": {
"x-maxAttachments": 10,
"x-maxPromptLength": 16000,
"type": "object",
"properties": {
"references": {
"type": "array",
"items": { "type": "string" },
"maxItems": 10,
"uniqueItems": true,
"x-mimeTypes": ["image/jpeg", "image/png", "image/webp"],
"x-maxSize": 50000000
},
"aspectRatio": {
"type": "string",
"enum": ["1:1", "1:4", "1:8", "2:3", "3:2", "3:4", "4:1", "4:3", "4:5", "5:4", "8:1", "9:16", "16:9", "21:9", "adaptive"],
"default": "16:9"
},
"resolution": {
"type": "string",
"enum": ["0.5k", "1k", "2k", "4k"],
"default": "2k"
},
"effort": {
"type": "string",
"enum": ["low", "high"],
"default": "low"
}
},
"additionalProperties": false
}
}
}
]
},
{
"outputType": "VIDEO",
"models": [
{
"id": "kling-3.0-turbo",
"name": "Kling 3.0 Turbo",
"provider": "KUAISHOU",
"configs": {
"AUTO": {
"x-maxAttachments": 5,
"x-maxPromptLength": 5000,
"type": "object",
"properties": {
"resolution": {
"type": "string",
"enum": ["720p", "1080p"],
"default": "720p"
},
"durationSeconds": {
"type": "integer",
"enum": [3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15],
"default": 5
},
"aspectRatio": {
"type": "string",
"enum": ["16:9", "9:16", "1:1"],
"default": "16:9"
}
},
"additionalProperties": false
},
"ADVANCED": {
"x-maxAttachments": 1,
"x-maxPromptLength": 2500,
"type": "object",
"properties": {
"resolution": {
"type": "string",
"enum": ["720p", "1080p"],
"default": "720p"
},
"durationSeconds": {
"type": "integer",
"enum": [3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15],
"default": 5
},
"aspectRatio": {
"type": "string",
"enum": ["16:9", "9:16", "1:1"],
"default": "16:9"
},
"start": {
"type": "string",
"x-mimeTypes": ["image/jpeg", "image/png", "image/webp"],
"x-maxSize": 10000000
},
"shots": {
"type": "array",
"minItems": 2,
"maxItems": 6,
"items": {
"type": "object",
"properties": {
"prompt": { "type": "string", "minLength": 1, "maxLength": 512 },
"seconds": { "type": "integer", "minimum": 1 }
},
"required": ["prompt", "seconds"],
"additionalProperties": false
}
}
},
"additionalProperties": false
}
}
}
]
}
]
}
요청
파라미터는 없습니다.
응답
200 OK를 반환합니다.
dataarray출력 형식별 모델 목록
data[].outputTypestring출력 형식
가능한 값: PDFMARKDOWNIMAGEVIDEO3DMUSICTTSSTT
예시: IMAGE
data[].modelsarray해당 출력 형식의 모델
설정 스키마
configs.AUTO와 configs.ADVANCED는 JSON Schema 2020-12 객체입니다. 각 속성의 enum과 default가 받는 값과 기본값입니다. ADVANCED 스키마에는 첨부 칸과 칸 사이의 규칙도 포함됩니다.
| 확장 키워드 | 설명 |
|---|---|
x-maxAttachments | 요청 하나가 받는 첨부 총수 |
x-maxPromptLength | 해당 모드의 프롬프트 최대 글자 수 |
x-mimeTypes | 첨부 칸이 받는 MIME 타입 |
x-maxSize | 첨부의 최대 크기(바이트). 타입마다 다르면 MIME 타입 접두사를 키로 한 객체. 처음 맞는 키가 적용되며, 더 구체적인 키가 앞에 오므로 가장 길게 맞는 접두사가 적용됨. MIME 타입은 키 중 하나와 맞아야 함 |
x-acceptsYoutube | true면 YouTube 파일도 받음 |
x-voices | 추천 목소리 목록. { id, name, previewUrl } 배열이며 previewUrl은 미리듣기 오디오 URL. 목록 밖의 ID도 받음 |